<?php
/**
	* Define Theme Version
 */
define( 'BELLTECH_THEME_VERSION', '12.4' );	
	
function belltech_css() {
	$parent_style = 'metasoft-parent-style';
	wp_enqueue_style( $parent_style, get_template_directory_uri() . '/style.css' );
	wp_enqueue_style( 'belltech-style', get_stylesheet_uri(), array( $parent_style ));
	
	wp_enqueue_style('belltech-color-default',get_stylesheet_directory_uri() .'/assets/css/color/default.css');
	
	wp_enqueue_style('belltech-responsive',get_stylesheet_directory_uri().'/assets/css/responsive.css');
	wp_dequeue_style('metasoft-responsive');
	wp_dequeue_style('metasoft-fonts');

}
add_action( 'wp_enqueue_scripts', 'belltech_css',999);
   	

function belltech_setup()	{	
	add_editor_style( array( 'assets/css/editor-style.css', belltech_google_font() ) );
}
add_action( 'after_setup_theme', 'belltech_setup' );
	
/**
 * Register Google fonts for Avail.
 */
function belltech_google_font() {
	
   $get_fonts_url = '';
		
    $font_families = array();
 
	$font_families = array('Sarabun:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800&display=swap');
 
        $query_args = array(
            'family' => urlencode( implode( '|', $font_families ) ),
            'subset' => urlencode( 'latin,latin-ext' ),
        );
 
        $get_fonts_url = add_query_arg( $query_args, '//fonts.googleapis.com/css' );

    return $get_fonts_url;
}

function belltech_scripts_styles() {
    wp_enqueue_style( 'belltech-fonts', belltech_google_font(), array(), null );
}
add_action( 'wp_enqueue_scripts', 'belltech_scripts_styles' );




/**
 * Called all the Customize file.
 */
require( get_stylesheet_directory() . '/inc/customize/belltech-premium.php');


/**
 * Import Options From Parent Theme
 *
 */
function belltech_parent_theme_options() {
	$metasoft_mods = get_option( 'theme_mods_metasoft' );
	if ( ! empty( $metasoft_mods ) ) {
		foreach ( $metasoft_mods as $metasoft_mod_k => $metasoft_mod_v ) {
			set_theme_mod( $metasoft_mod_k, $metasoft_mod_v );
		}
	}
}
add_action( 'after_switch_theme', 'belltech_parent_theme_options' );